CON

  _CLKMODE = XTAL1 + PLL16X
  _CLKFREQ = 80_000_000


  _DebugBaud = 57600
  
OBJ

  Eeprom : "Propeller Eeprom"
  Debug : "fullduplexserial"

PUB Main | localIndex

  Debug.start(31, 30, 0, _DebugBaud)
  waitcnt(clkfreq / 1000 + cnt) ' wait for serial driver cog to start
  
 
  repeat while debug.rxcheck == -1
    if result++ // 40 == 0 ' result is a temporary variable all methods have.
      Debug.str(String(13, "Press any key to start."))
    waitcnt(clkfreq / 10 + cnt) ' This line waits a tenth of a second
    
    
  Debug.str(String(13, 13, "Writing ", 34))
  Debug.str(@testBuffer)
  Debug.str(String(34," to EEPROM location $"))
  Debug.hex($7000, 4)
  Eeprom.FromRam(@testBuffer, @testBuffer + 2, $7000)


  Debug.str(String(13, 13, "Reading from EEPROM location $"))
  Debug.hex($7000, 4)
  Eeprom.ToRam(@emptyBuffer, @emptyBuffer + 2, $7000)
   

  Debug.str(String(13, "The following was read from EEPROM: ", 34))
  Debug.str(@emptyBuffer) 
  Debug.tx(34)

  repeat ' keep program alive
  

DAT

testBuffer    byte "123",0
emptyBuffer   byte 0[4] ' leave a terminating zero

  